Bug 443155 - [cpuidle] Notebook "pauses" when idle with tickless kernel enabled
[cpuidle] Notebook "pauses" when idle with tickless kernel enabled
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
All Linux
low Severity high
: ---
: ---
Assigned To: John Feeney
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-18 16:59 EDT by James
Modified: 2013-01-10 02:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-29 10:03:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 12390 None None None Never

  None (edit)
Description James 2008-04-18 16:59:33 EDT
Description of problem:
My Intel Core 2 Duo T8100-based notebook seems to have discovered a CPU state
I'll label "daydreaming": when left to idle, and drop to a really low-power
state, everything seems to stop bar the interrupt handler. So, the screen
"pauses" (console or X: intel driver, X3100 hardware) and low-cpu-usage tasks
stop. Hit the keyboard, touchpad, USB device, etc., and it comes back to life as
if nothing's happened. No error messages, no crashes, no apparent corruption of
anything.

I guess this is a problem with one or more of: nohz, acpi, acpi-cpufreq, the BIOS...

Version-Release number of selected component (if applicable):
kernel-2.6.24.4-64.fc8, kernel-2.6.24.4-84.fc8

How reproducible:
Always.

Steps to Reproduce:
1. Start notebook.
2. Let it idle, and after a while (10-40s) the machine "pauses".
3. Use touchpad, keyboard, etc. and machine carries on apparently without any
ill effect.
  
Actual results:
Machine enters a "daydreaming" state: pauses, screen freezes, but it does NOT
lock solid. No error messages in dmesg or anywhere else, for that matter.

Start the kernel with nohz=off, and this doesn't happen --- but then the
processor is stuck in the C0 state. Nor does it happen if the machine is kept
busy when tickless is enabled.

Expected results:
No daydreaming!

Additional info:
Let me know what other log and dumps you think will be helpful.
Smolt profile:
http://www.smolts.org/client/show/pub_fcd7dc08-bc81-466b-bc36-365993876075
Comment 1 Chuck Ebbert 2008-04-22 23:01:56 EDT
Can you try playing with the "processor.max_cstate" kernel parameter? Try
processor.max_cstate=1 first and if that works keep increasing it until it fails.
Comment 2 James 2008-04-23 05:26:22 EDT
I *think* it first starts to happen when processor.max_cstate=2. 

Is it normal that the C-state usage counts should reset every so often?

[james@rhapsody ~]$ cat /proc/acpi/processor/CPU0/power ; sleep 5 ; cat 
/proc/acpi/processor/CPU0/power
active state:            C0
max_cstate:              C2
bus master activity:     00000000
maximum allowed latency: 2000 usec
states:
    C1:                  type[C1] promotion[--] demotion[--] latency[001]
usage[00000006] duration[00000000000000000000]
    C2:                  type[C2] promotion[--] demotion[--] latency[001]
usage[00001126] duration[00000000000010058129]
    C3:                  type[C3] promotion[--] demotion[--] latency[017]
usage[00000000] duration[00000000000000000000]
active state:            C0
max_cstate:              C2
bus master activity:     00000000
maximum allowed latency: 2000 usec
states:
    C1:                  type[C1] promotion[--] demotion[--] latency[001]
usage[00000001] duration[00000000000000000000]
    C2:                  type[C2] promotion[--] demotion[--] latency[001]
usage[00000307] duration[00000000000003693784]
    C3:                  type[C3] promotion[--] demotion[--] latency[017]
usage[00000000] duration[00000000000000000000]
Comment 3 David Daney 2008-05-23 14:32:01 EDT
I am seeing identical behaviour on my F9 install on my notebook:

[daney@silver64 ~]$ cat /proc/cpuinfo 
processor	: 0
vendor_id	: AuthenticAMD
cpu family	: 15
model		: 36
model name	: Mobile AMD Athlon(tm) 64 Processor 4000+
stepping	: 2
cpu MHz		: 800.000
cache size	: 1024 KB
fpu		: yes
fpu_exception	: yes
cpuid level	: 1
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36
clflush mmx fxsr sse sse2 syscall nx mmxext fxsr_opt lm 3dnowext 3dnow up
rep_good pni lahf_lm
bogomips	: 1592.86
TLB size	: 1024 4K pages
clflush size	: 64
cache_alignment	: 64
address sizes	: 40 bits physical, 48 bits virtual
power management: ts fid vid ttp tm stc

[daney@silver64 ~]$ cat /proc/version
Linux version 2.6.25.3-18.fc9.x86_64 (mockbuild@) (gcc version 4.3.0 20080428
(Red Hat 4.3.0-8) (GCC) ) #1 SMP Tue May 13 04:54:47 EDT 2008


As with the original poster, I am running with nohz=off to work-around.  But
this not ideal as one of the main reasons I upgraded to F9 was for the presumed
power savings from the tickless kernel.
Comment 4 David Daney 2008-05-23 16:35:01 EDT
Just an update from my previous post.

With 'processor.max_cstate=2' all is well.  When I increase it to 3, I encounter
the problem.

The most observable symptom for me is that the console output while shutting
down pauses or freezes for long periods.

I guess I will run with processor.max_cstate=2, and hope that in the future it
will not be necessary to hack up the kernel command line.
Comment 5 James 2008-07-15 14:58:28 EDT
Still there in kernel-2.6.25.11-54.fc8.
Comment 6 James 2008-09-09 03:53:37 EDT
Still present in kernel-2.6.26.3-14.fc8.
Comment 7 James 2008-10-17 07:25:28 EDT
See at least once in kernel-PAE-2.6.26.6-46.fc8.
Comment 8 James 2008-10-20 04:58:13 EDT
Also observed under x86-84 with kernel-2.6.26.6-79.fc9.x86_64.
Comment 9 James 2008-10-30 06:38:07 EDT
Also in kernel-2.6.27.4-58.fc10.x86_64 from Rawhide.
Comment 10 Bug Zapper 2008-11-26 05:31:09 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 James 2008-12-01 05:49:53 EST
Still does it with kernel-2.6.27.7-132.fc10.x86_64. Most often noticed during shutdown (although sometimes during startup when udev is starting) and I have to keep pressing the any key to get it to finish up and switch off.
Comment 12 James 2008-12-15 10:44:49 EST
Still in kernel-2.6.27.9-155.fc10.x86_64.
Comment 13 James 2008-12-21 13:58:34 EST
...and in kernel-2.6.27.9-163.fc10.x86_64.
Comment 14 James 2009-10-01 06:49:05 EDT
Still in all the latest Fedora 11 kernels from Koji.
Comment 15 Bug Zapper 2010-04-27 08:00:21 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2011-06-02 14:33:32 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 James 2011-08-29 10:06:31 EDT
Still present in latest F15 kernel, kernel-2.6.40.3-0.fc15.x86_64

Note You need to log in before you can comment on or make changes to this bug.